image:
  repository: ghcr.io/home-assistant/home-assistant
  tag: "2025.7.1"
  pullPolicy: IfNotPresent

service:
  type: ClusterIP
  port: 8123

persistence:
  enabled: true
  storageClass: nfs-client
  size: 5Gi

ingress:
  enabled: true
  ingressClassName: traefik
  annotations:
    traefik.ingress.kubernetes.io/router.entrypoints: websecure
    traefik.ingress.kubernetes.io/router.tls: "true"
  hosts:
    - host: home.dvirlabs.com
      paths:
        - path: /
          pathType: Prefix

configuration:
  enabled: true
  forceInit: true
  trusted_proxies:
    - 10.0.0.0/8
    - 192.168.0.0/16
    - 172.16.0.0/12
    - 127.0.0.0/8
    - 10.42.0.0/16
  templateConfig: |-
    default_config:

    http:
      use_x_forwarded_for: true
      trusted_proxies:
        - 10.0.0.0/8
        - 192.168.0.0/16
        - 172.16.0.0/12
        - 127.0.0.0/8
        - 10.42.0.0/16

    frontend:
      themes: !include_dir_merge_named themes

    automation: !include automations.yaml
    script: !include scripts.yaml
    scene: !include scenes.yaml
